import request from '@/utils/request'

// 查询设备传感数据列表
export function listSense(query) {
  return request({
    url: '/crops/sense/list',
    method: 'get',
    params: query
  })
}

// 查询设备传感数据详细
export function getSense(id) {
  return request({
    url: '/crops/sense/' + id,
    method: 'get'
  })
}

// 新增设备传感数据
export function addSense(data) {
  return request({
    url: '/crops/sense',
    method: 'post',
    data: data
  })
}

// 修改设备传感数据
export function updateSense(data) {
  return request({
    url: '/crops/sense',
    method: 'put',
    data: data
  })
}

// 删除设备传感数据
export function delSense(id) {
  return request({
    url: '/crops/sense/' + id,
    method: 'delete'
  })
}
